## Name

ping_pong — measures the ping-pong byte range lock latency

## Synopsis

`ping_pong` { -r | -w | -rw } [-m] [-c] {`FILENAME`} {`NUM-LOCKS`}

## DESCRIPTION

ping_pong measures the byte range lock latency. It is especially useful on a cluster of nodes sharing a common lock manager as it will give some indication of the lock manager's performance under stress.

FILENAME is a file on shared storage to use for byte range locking tests.

NUM-LOCKS is the number of byte range locks, so needs to be (strictly) greater than the number of nodes in the cluster.

## OPTIONS

-r

  test read performance

-w

  test write performance

-m

  use mmap

-c

  validate the locks

## EXAMPLES

Testing lock coherence

          ping_pong test.dat N

Testing lock coherence with lock validation

          ping_pong -c test.dat N

Testing IO coherence

          ping_pong -rw test.dat N

## SEE ALSO

ctdb(7), https://wiki.samba.org/index.php/Ping_pong